Subject: -B option of git log

From: Eckhard Maass <[email-masked]>
Date: Fri, 22 Feb 2013 01:44:00 +0100

Hello,

As far as I understand the documentation, -B of git-log should help
correct rename detection. But it does not seem to work for me.

Let me get a setup:

$> git init .
Initialized empty Git repository in /tmp/t2/.git/
$> echo 'Lorem ipsum doler sed. Lorem ipsum doler sed. Lorem ipsum doler
sed. Lorem ipsum doler sed.' > a
$> git add a
$> git commit -m 'Init.'
[master (root-commit) b78205c] Init.
 1 file changed, 1 insertion(+)
 create mode 100644 a
$> mv a b
$> echo 'new' > a
$> git add -A .
$> git commit -m '2nd.'
[master a30ca49] 2nd.
 2 files changed, 2 insertions(+), 1 deletion(-)
 create mode 100644 b

Now, I get the following:

$> git log --oneline -B20%/80% -M20% --name-status
a30ca49 2nd.
M       a
A       b
b78205c Init.
A       a

But I would expect that git-log shows me a rename from a to b and a new a.

What is my misunderstanding? (And I tried it also with files with a
couple of lines.)

SEcki